"use strict";

var _react = _interopRequireDefault(require("react"));

var _addons = require("@storybook/addons");

var _constants = require("./constants");

var _Panel = _interopRequireDefault(require("./Panel"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_addons.addons.register(_constants.ADDON_ID, () => {
  const channel = _addons.addons.getChannel();

  _addons.addons.add(_constants.PANEL_ID, {
    title: 'Playroom',
    type: _addons.types.TAB,
    route: ({
      storyId
    }) => `/playroom/${storyId}`,
    match: ({
      viewMode
    }) => viewMode === 'playroom',
    render: ({
      active
    }) => /*#__PURE__*/_react.default.createElement(_Panel.default, {
      active: active,
      channel: channel
    }),
    paramKey: _constants.PARAM_KEY
  });
});