"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getOptions = void 0;

/* eslint-disable import/prefer-default-export */
const getOptions = ({
  url = 'http://localhost:9000',
  code = '',
  disable = false,
  reactElementToJSXStringOptions = {
    sortProps: false
  }
} = {}) => ({
  url,
  code,
  disable,
  reactElementToJSXStringOptions
});

exports.getOptions = getOptions;